Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.logging
Class ConsoleHandler

    java.lang.Object
      java.util.logging.Handler
          java.util.logging.StreamHandler
              java.util.logging.ConsoleHandler

    public class ConsoleHandler

extends StreamHandler

This `Handler` publishes log records to `System.err`. By default the `SimpleFormatter` is used to generate brief summaries.

Configuration: By default each `ConsoleHandler` is initialized using the following `LogManager` configuration properties. If properties are not defined (or have invalid values) then the specified default values are used.

- java.util.logging.ConsoleHandler.level specifies the default level for the `Handler` (defaults to `Level.INFO`).
- java.util.logging.ConsoleHandler.filter specifies the name of a `Filter` class to use (defaults to no `Filter`).
- java.util.logging.ConsoleHandler.formatter specifies the name of a `Formatter` class to use (defaults to `java.util.logging.SimpleFormatter`).
- java.util.logging.ConsoleHandler.encoding the name of the character set encoding to use (defaults to the default platform encoding).

Since:
  1.4

Constructor Summary
`ConsoleHandler()` Create a `ConsoleHandler` for `System.err`.

Method Summary
`void` | `close()` Override `StreamHandler.close` to do a flush but not to close the output stream.
`void` | `publish(LogRecord record)` Publish a `LogRecord`.

Methods inherited from class java.util.logging.StreamHandler
`flush, isLoggable, setEncoding, setOutputStream`

Methods inherited from class java.util.logging.Handler
`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleHandler

    public ConsoleHandler()

  Create a `ConsoleHandler` for `System.err`.

  The `ConsoleHandler` is configured based on `LogManager` properties (or their default values).

Method Detail

### publish

    public void publish(LogRecord record)

  Publish a `LogRecord`.

  The logging request was made initially to a `Logger` object, which initialized the `LogRecord` and forwarded it here.

  Overrides:
    `publish` in class `StreamHandler`
  Parameters:
    `record` - description of the log event. A null record is silently ignored and is not published

### close

    public void close()

  Override `StreamHandler.close` to do a flush but not to close the output stream. That is, we do not close `System.err`.

  Overrides:
    `close` in class `StreamHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.